themedir = $(datadir)/themes/Daloa/xfwm4

PNG_FILES = 								\
	bottom-active.png						\
	bottom-inactive.png						\
	bottom-left-active.png						\
	bottom-left-inactive.png					\
	bottom-right-active.png						\
	bottom-right-inactive.png					\
	close-active.png						\
	close-inactive.png						\
	close-pressed.png						\
	close-prelight.png						\
	hide-active.png							\
	hide-inactive.png						\
	hide-pressed.png						\
	hide-pressed.png						\
	hide-prelight.png						\
	left-active.png							\
	left-inactive.png						\
	maximize-active.png						\
	maximize-inactive.png						\
	maximize-pressed.png						\
	maximize-prelight.png						\
	maximize-toggled-active.png					\
	maximize-toggled-inactive.png					\
	maximize-toggled-pressed.png					\
	maximize-toggled-prelight.png					\
	menu-active.png							\
	menu-inactive.png						\
	menu-pressed.png						\
	menu-prelight.png						\
	right-active.png						\
	right-inactive.png						\
	shade-active.png						\
	shade-inactive.png						\
	shade-pressed.png						\
	shade-prelight.png						\
	shade-toggled-active.png					\
	shade-toggled-inactive.png					\
	shade-toggled-pressed.png					\
	shade-toggled-prelight.png					\
	stick-active.png						\
	stick-inactive.png						\
	stick-pressed.png						\
	stick-prelight.png						\
	stick-toggled-active.png					\
	stick-toggled-inactive.png					\
	stick-toggled-pressed.png					\
	stick-toggled-prelight.png					\
	title-1-active.png						\
	title-1-inactive.png						\
	title-2-active.png						\
	title-2-inactive.png						\
	title-3-active.png						\
	title-3-inactive.png						\
	title-4-active.png						\
	title-4-inactive.png						\
	title-5-active.png						\
	title-5-inactive.png						\
	top-left-active.png						\
	top-left-inactive.png						\
	top-right-active.png						\
	top-right-inactive.png

SVG_FILES = 								\
	bottom-active.svg						\
	bottom-inactive.svg						\
	bottom-left-active.svg						\
	bottom-left-inactive.svg					\
	bottom-right-active.svg						\
	bottom-right-inactive.svg					\
	close-active.svg						\
	close-inactive.svg						\
	close-pressed.svg						\
	close-prelight.svg						\
	hide-active.svg							\
	hide-inactive.svg						\
	hide-pressed.svg						\
	hide-prelight.svg						\
	left-active.svg							\
	left-inactive.svg						\
	maximize-active.svg						\
	maximize-inactive.svg						\
	maximize-pressed.svg						\
	maximize-prelight.svg						\
	maximize-toggled-active.svg					\
	maximize-toggled-inactive.svg					\
	maximize-toggled-pressed.svg					\
	maximize-toggled-prelight.svg					\
	menu-active.svg							\
	menu-inactive.svg						\
	menu-pressed.svg						\
	menu-prelight.svg						\
	right-active.svg						\
	right-inactive.svg						\
	shade-active.svg						\
	shade-inactive.svg						\
	shade-pressed.svg						\
	shade-prelight.svg						\
	shade-toggled-active.svg					\
	shade-toggled-inactive.svg					\
	shade-toggled-pressed.svg					\
	shade-toggled-prelight.svg					\
	stick-active.svg						\
	stick-inactive.svg						\
	stick-pressed.svg						\
	stick-prelight.svg						\
	stick-toggled-active.svg					\
	stick-toggled-inactive.svg					\
	stick-toggled-pressed.svg					\
	stick-toggled-prelight.svg					\
	title-1-active.svg						\
	title-1-inactive.svg						\
	title-2-active.svg						\
	title-2-inactive.svg						\
	title-3-active.svg						\
	title-3-inactive.svg						\
	title-4-active.svg						\
	title-4-inactive.svg						\
	title-5-active.svg						\
	title-5-inactive.svg						\
	top-left-active.svg						\
	top-left-inactive.svg						\
	top-right-active.svg						\
	top-right-inactive.svg

XPM_FILES = 								\
	bottom-active.xpm						\
	bottom-inactive.xpm						\
	bottom-left-active.xpm						\
	bottom-left-inactive.xpm					\
	bottom-right-active.xpm						\
	bottom-right-inactive.xpm					\
	close-active.xpm						\
	close-inactive.xpm						\
	close-pressed.xpm						\
	close-prelight.xpm						\
	hide-active.xpm							\
	hide-inactive.xpm						\
	hide-pressed.xpm						\
	hide-prelight.xpm						\
	left-active.xpm							\
	left-inactive.xpm						\
	maximize-active.xpm						\
	maximize-inactive.xpm						\
	maximize-pressed.xpm						\
	maximize-prelight.xpm						\
	maximize-toggled-active.xpm					\
	maximize-toggled-inactive.xpm					\
	maximize-toggled-pressed.xpm					\
	maximize-toggled-prelight.xpm					\
	menu-active.xpm							\
	menu-inactive.xpm						\
	menu-pressed.xpm						\
	menu-prelight.xpm						\
	right-active.xpm						\
	right-inactive.xpm						\
	shade-active.xpm						\
	shade-inactive.xpm						\
	shade-pressed.xpm						\
	shade-prelight.xpm						\
	shade-toggled-active.xpm					\
	shade-toggled-inactive.xpm					\
	shade-toggled-pressed.xpm					\
	shade-toggled-prelight.xpm					\
	stick-active.xpm						\
	stick-inactive.xpm						\
	stick-pressed.xpm						\
	stick-prelight.xpm						\
	stick-toggled-active.xpm					\
	stick-toggled-inactive.xpm					\
	stick-toggled-pressed.xpm					\
	stick-toggled-prelight.xpm					\
	title-1-active.xpm						\
	title-1-inactive.xpm						\
	title-2-active.xpm						\
	title-2-inactive.xpm						\
	title-3-active.xpm						\
	title-3-inactive.xpm						\
	title-4-active.xpm						\
	title-4-inactive.xpm						\
	title-5-active.xpm						\
	title-5-inactive.xpm						\
	top-left-active.xpm						\
	top-left-inactive.xpm						\
	top-right-active.xpm						\
	top-right-inactive.xpm

theme_DATA = 								\
	README								\
	themerc								\
	$(XPM_FILES)							\
	$(PNG_FILES)

EXTRA_DIST =								\
	$(theme_DATA)							\
	$(SVG_FILES)

noinst_DATA =								\
	$(SVG_FILES)

vacuum-defs:
	for svg_file in $(SVG_FILES); do \
		inkscape --without-gui --vacuum-defs --file=$$svg_file; \
	done

update-png:
	for svg_file in $(SVG_FILES); do \
		image=$${svg_file%.svg}; \
		rsvg -f png $$svg_file $$image.png; \
	done
